#pragma once
#ifndef PROGRAM
#define PROGRAM

#include <GL/glew.h>

#include "shader.h"

class Xr_Program
{
	public:
		Xr_Program();
		~Xr_Program();
		
		bool isLink() const;
		GLuint getProgramId() const;
		
		void attachShader(Xr_Shader*);
		void detachShader(Xr_Shader*);
		void link();
		
		private:
			GLuint P_id;
			Xr_Shader *P_shader1;
			Xr_Shader *P_shader2;
			bool P_isLink;
};

#endif
